#
# spec file for package patterns-base
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%bcond_with betatest
Name:           patterns-ofed
Version:        20181212
Release:        9.42
Summary:        Patterns for Installation (base patterns)
License:        MIT
Group:          Metapackages
Url:            https://github.com/openSUSE/patterns
Source0:        %{name}-rpmlintrc
Source1:        pattern-definition-32bit.txt
Source2:        create_32bit-patterns_file.pl
BuildRequires:  patterns-rpm-macros

%description
This is an internal package that is used to create the patterns as part
of the installation source setup.  Installation of this package does
not make sense.

This particular package contains all the base / core patterns (and those that don't fit well anywhere else).

################################################################################

%package ofed
%pattern_primaryfunctions
Summary:        Infiniband (OFED)
Group:          Metapackages
Provides:       pattern() = ofed
Provides:       pattern-icon() = pattern-server
Provides:       pattern-order() = 3060
Provides:       pattern-visible()
Provides:       patterns-sles-ofed
Obsoletes:      patterns-sles-ofed < %{version}
Requires:       pattern() = basesystem

Requires:       ofed
Recommends:     ib-bonding
Recommends:     ibutils
Recommends:     ibvexdmtools
Recommends:     infiniband-diags
Recommends:     ipoibtools
Recommends:     libcxgb3-rdmav2
Recommends:     libehca-rdmav2
Recommends:     libibverbs
Recommends:     libibverbs-runtime
Recommends:     libibverbs-utils
Recommends:     libmlx4-rdmav2
Recommends:     libmthca-rdmav2
Recommends:     librdmacm
Recommends:     mstflint
Recommends:     ofed-doc
Recommends:     qlvnictools
Recommends:     rds-tools
Recommends:     sdpnetstat
Recommends:     srptools

%description ofed
This pattern defines the OpenFabrics Enterprise Distribution (OFED) software base packages. The base pattern includes the packages you need to get your Infiniband adapter operational, that is IB kernel modules and basic user level libraries.

%files ofed
%dir %{_docdir}/patterns
%{_docdir}/patterns/ofed.txt

################################################################################

%prep

%build

%install
mkdir -p %{buildroot}%{_docdir}/patterns
echo 'This file marks the pattern ofed to be installed.' > %{buildroot}%{_docdir}/patterns/ofed.txt
echo 'This file marks the pattern ofed-32bit to be installed.' > %{buildroot}%{_docdir}/patterns/ofed-32bit.txt

#
# This file is created at check-in time. Sorry for the inconsistent workflow :(
#
%include %{SOURCE1}

%changelog
* Fri Aug 23 2019 sflees@suse.de
- Add debugging utils bsc#1091948
  * infiniband-diags
  * libibverbs-utils
* Wed Dec 12 2018 lslezak@suse.cz
- Updated pattern icons (related to bsc#1109310)
* Mon Dec 11 2017 simonf.lees@suse.com
- correctly source the files for 32bit patterns
* Fri Dec  8 2017 sflees@suse.de
- Version: 20171206
- Add obsoletes across all patterns (bsc#1071761)
* Wed Sep 20 2017 sflees@suse.de
- Create separate package for ofed, as its not in openSUSE
